==> Synchronizing chroot copy [/chroot/x86_64/root] -> [build]...done
==> Making package: beef-git 1:20240130.r4314-1 (Mon Feb  5 15:20:51 2024)
==> Retrieving sources...
  -> Cloning beef-git git repo...
Cloning into bare repository '/srv/build/builder/work/beef-git/beef-git'...
==> WARNING: Skipping verification of source file PGP signatures.
==> Validating source files with sha512sums...
    beef-git ... Skipped
==> Making package: beef-git 1:20240130.r4314-1 (Mon 05 Feb 2024 03:21:03 PM EST)
==> Checking runtime dependencies...
==> Installing missing dependencies...
[?25l:: There are 4 providers available for java-environment:
:: Repository extra
   1) jdk-openjdk  2) jdk11-openjdk  3) jdk17-openjdk  4) jdk8-openjdk

Enter a number (default=1): 
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: rubygems will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-abbrev will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-base64 will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-benchmark will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-bigdecimal will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-bundler will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-cgi will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-csv will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-date will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-delegate will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-did_you_mean will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-digest will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-drb will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-ruby2_keywords will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-english will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-erb will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-etc will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-fcntl will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-fiddle will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-fileutils will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-find will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-forwardable will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-getoptlong will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-io-console will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-io-nonblock will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-io-wait will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-ipaddr will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-irb will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-reline will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-json will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-logger will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-mutex_m will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-net-http will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-uri will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-open-uri will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stringio will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-time will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-psych will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-racc will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-rdoc will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-tmpdir will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-minitest will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-power_assert will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-rake will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-rexml will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-test-unit will be installed before its ruby dependency
warning: dependency cycle detected:
warning: harfbuzz will be installed before its freetype2 dependency

Packages (98) c-ares-1.26.0-1  cairo-1.18.0-1  dnssec-anchors-20190629-3
              fftw-3.3.10-4  fontconfig-2:2.15.0-2  freetype2-2.13.2-1
              fribidi-1.0.13-2  giflib-5.2.1-2  graphite-1:1.3.14-3
              harfbuzz-8.3.0-2  hicolor-icon-theme-0.17-3  hwloc-2.10.0-1
              java-environment-common-3-5  java-runtime-common-3-5
              jbigkit-2.1-7  lcms2-2.16-1  ldns-1.8.3-2  libedit-20230828_3.1-1
              libjpeg-turbo-3.0.2-2  liblqr-0.4.2-3  libnet-2:1.3-1
              libngtcp2-1.2.0-1  libnl-3.9.0-1  libnsl-2.0.1-1
              libpciaccess-0.18-1  libpng-1.6.42-1  libraqm-0.10.1-1
              libtiff-4.6.0-2  libuv-1.47.0-1  libx11-1.8.7-1  libxau-1.0.11-2
              libxcb-1.16-1  libxdmcp-1.1.4-2  libxext-1.3.6-1
              libxrender-0.9.11-1  lzo-2.10-5  nspr-4.35-2  nss-3.97-1
              openmpi-4.1.6-3  openpmix-4.2.8-1  openssh-9.6p1-1
              pixman-0.43.2-1  ruby-abbrev-0.1.0-4  ruby-base64-0.1.1-4
              ruby-benchmark-0.2.0-4  ruby-bigdecimal-3.1.2-4
              ruby-bundledgems-3.0.6-1  ruby-cgi-0.3.6-1  ruby-csv-3.2.5-4
              ruby-date-3.2.2-4  ruby-delegate-0.2.0-4
              ruby-did_you_mean-1.6.1-4  ruby-digest-3.1.1-1  ruby-drb-2.1.0-5
              ruby-english-0.7.1-5  ruby-erb-4.0.2-2  ruby-etc-1.3.0-6
              ruby-fcntl-1.0.1-4  ruby-fiddle-1.1.0-4  ruby-fileutils-1.6.0-4
              ruby-find-0.1.1-4  ruby-forwardable-1.3.2-6
              ruby-getoptlong-0.1.1-3  ruby-io-console-0.5.11-3
              ruby-io-nonblock-0.1.0-3  ruby-io-wait-0.2.3-4
              ruby-ipaddr-1.2.4-3  ruby-irb-1.4.2-1  ruby-json-2.7.1-1
              ruby-logger-1.5.1-3  ruby-minitest-5.20.0-1  ruby-mutex_m-0.1.1-3
              ruby-net-http-0.2.2-2  ruby-open-uri-0.2.0-3
              ruby-power_assert-2.0.3-1  ruby-psych-4.0.6-1  ruby-racc-1.6.0-3
              ruby-rake-13.0.6-1  ruby-reline-0.3.1-2  ruby-rexml-3.2.6-1
              ruby-ruby2_keywords-0.0.5-1  ruby-stdlib-3.0.6-1
              ruby-stringio-3.0.2-4  ruby-test-unit-3.6.1-1  ruby-time-0.2.0-4
              ruby-tmpdir-0.1.2-3  ruby-uri-0.12.1-1  rubygems-3.3.25-1
              xcb-proto-1.16.0-1  xorgproto-2023.2-1  imagemagick-7.1.1.27-1
              jdk-openjdk-21.0.2.u13-3  libyaml-0.2.5-2  nodejs-21.6.1-1
              python-3.11.6-1  ruby-3.0.6-1  ruby-bundler-2.5.4-1
              ruby-rdoc-6.4.0-4

Total Download Size:    468.47 MiB
Total Installed Size:  1129.18 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 jdk-openjdk-21.0.2.u13-3-x86_64 downloading...
 python-3.11.6-1-x86_64 downloading...
 nodejs-21.6.1-1-x86_64 downloading...
 imagemagick-7.1.1.27-1-x86_64 downloading...
 openmpi-4.1.6-3-x86_64 downloading...
 ruby-3.0.6-1-x86_64 downloading...
 fftw-3.3.10-4-x86_64 downloading...
 libx11-1.8.7-1-x86_64 downloading...
 nss-3.97-1-x86_64 downloading...
 openssh-9.6p1-1-x86_64 downloading...
 libxcb-1.16-1-x86_64 downloading...
 harfbuzz-8.3.0-2-x86_64 downloading...
 libtiff-4.6.0-2-x86_64 downloading...
 openpmix-4.2.8-1-x86_64 downloading...
 ruby-rdoc-6.4.0-4-any downloading...
 cairo-1.18.0-1-x86_64 downloading...
 rubygems-3.3.25-1-any downloading...
 hwloc-2.10.0-1-x86_64 downloading...
 libjpeg-turbo-3.0.2-2-x86_64 downloading...
 freetype2-2.13.2-1-x86_64 downloading...
 ldns-1.8.3-2-x86_64 downloading...
 libnl-3.9.0-1-x86_64 downloading...
 ruby-bundler-2.5.4-1-any downloading...
 fontconfig-2:2.15.0-2-x86_64 downloading...
 libnet-2:1.3-1-x86_64 downloading...
 pixman-0.43.2-1-x86_64 downloading...
 c-ares-1.26.0-1-x86_64 downloading...
 libpng-1.6.42-1-x86_64 downloading...
 xorgproto-2023.2-1-any downloading...
 libuv-1.47.0-1-x86_64 downloading...
 lcms2-2.16-1-x86_64 downloading...
 ruby-test-unit-3.6.1-1-any downloading...
 nspr-4.35-2-x86_64 downloading...
 libngtcp2-1.2.0-1-x86_64 downloading...
 xcb-proto-1.16.0-1-any downloading...
 ruby-minitest-5.20.0-1-any downloading...
 ruby-date-3.2.2-4-x86_64 downloading...
 ruby-irb-1.4.2-1-any downloading...
 libedit-20230828_3.1-1-x86_64 downloading...
 ruby-json-2.7.1-1-x86_64 downloading...
 libxext-1.3.6-1-x86_64 downloading...
 ruby-racc-1.6.0-3-x86_64 downloading...
 ruby-reline-0.3.1-2-any downloading...
 ruby-csv-3.2.5-4-any downloading...
 ruby-rexml-3.2.6-1-any downloading...
 lzo-2.10-5-x86_64 downloading...
 ruby-psych-4.0.6-1-x86_64 downloading...
 graphite-1:1.3.14-3-x86_64 downloading...
 ruby-bigdecimal-3.1.2-4-x86_64 downloading...
 ruby-net-http-0.2.2-2-any downloading...
 ruby-rake-13.0.6-1-any downloading...
 giflib-5.2.1-2-x86_64 downloading...
 fribidi-1.0.13-2-x86_64 downloading...
 ruby-fiddle-1.1.0-4-x86_64 downloading...
 ruby-cgi-0.3.6-1-x86_64 downloading...
 ruby-uri-0.12.1-1-any downloading...
 libyaml-0.2.5-2-x86_64 downloading...
 ruby-drb-2.1.0-5-any downloading...
 jbigkit-2.1-7-x86_64 downloading...
 ruby-digest-3.1.1-1-x86_64 downloading...
 libraqm-0.10.1-1-x86_64 downloading...
 ruby-did_you_mean-1.6.1-4-any downloading...
 liblqr-0.4.2-3-x86_64 downloading...
 ruby-power_assert-2.0.3-1-any downloading...
 ruby-fileutils-1.6.0-4-any downloading...
 ruby-stringio-3.0.2-4-x86_64 downloading...
 libxrender-0.9.11-1-x86_64 downloading...
 libxdmcp-1.1.4-2-x86_64 downloading...
 ruby-erb-4.0.2-2-x86_64 downloading...
 ruby-logger-1.5.1-3-any downloading...
 libpciaccess-0.18-1-x86_64 downloading...
 libnsl-2.0.1-1-x86_64 downloading...
 ruby-io-console-0.5.11-3-x86_64 downloading...
 ruby-etc-1.3.0-6-x86_64 downloading...
 ruby-ipaddr-1.2.4-3-any downloading...
 ruby-open-uri-0.2.0-3-any downloading...
 ruby-benchmark-0.2.0-4-any downloading...
 ruby-time-0.2.0-4-any downloading...
 ruby-getoptlong-0.1.1-3-any downloading...
 ruby-delegate-0.2.0-4-any downloading...
 ruby-forwardable-1.3.2-6-any downloading...
 libxau-1.0.11-2-x86_64 downloading...
 ruby-io-wait-0.2.3-4-x86_64 downloading...
 hicolor-icon-theme-0.17-3-any downloading...
 ruby-fcntl-1.0.1-4-x86_64 downloading...
 ruby-english-0.7.1-5-any downloading...
 ruby-base64-0.1.1-4-any downloading...
 ruby-abbrev-0.1.0-4-any downloading...
 ruby-io-nonblock-0.1.0-3-x86_64 downloading...
 ruby-mutex_m-0.1.1-3-any downloading...
 ruby-tmpdir-0.1.2-3-any downloading...
 ruby-ruby2_keywords-0.0.5-1-any downloading...
 ruby-find-0.1.1-4-any downloading...
 java-runtime-common-3-5-any downloading...
 dnssec-anchors-20190629-3-any downloading...
 ruby-stdlib-3.0.6-1-x86_64 downloading...
 ruby-bundledgems-3.0.6-1-x86_64 downloading...
 java-environment-common-3-5-any downloading...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
:: Processing package changes...
installing libyaml...
installing rubygems...
installing ruby-abbrev...
installing ruby-base64...
installing ruby-benchmark...
installing ruby-bigdecimal...
installing ruby-bundler...
installing ruby-cgi...
installing ruby-csv...
installing ruby-date...
installing ruby-delegate...
installing ruby-did_you_mean...
installing ruby-digest...
installing ruby-ruby2_keywords...
installing ruby-drb...
installing ruby-english...
installing ruby-erb...
installing ruby-etc...
installing ruby-fcntl...
installing ruby-fiddle...
installing ruby-fileutils...
installing ruby-find...
installing ruby-forwardable...
installing ruby-getoptlong...
installing ruby-io-console...
installing ruby-io-nonblock...
installing ruby-io-wait...
installing ruby-ipaddr...
installing ruby-reline...
installing ruby-irb...
installing ruby-json...
installing ruby-logger...
installing ruby-mutex_m...
installing ruby-uri...
installing ruby-net-http...
installing ruby-stringio...
installing ruby-time...
installing ruby-open-uri...
installing ruby-psych...
installing ruby-racc...
installing ruby-rdoc...
installing ruby-tmpdir...
installing ruby-stdlib...
installing ruby-minitest...
installing ruby-power_assert...
installing ruby-rake...
installing ruby-rexml...
installing ruby-test-unit...
installing ruby-bundledgems...
installing ruby...
Optional dependencies for ruby
    ruby-docs: Ruby documentation
    tk: for Ruby/TK
installing java-runtime-common...
For the complete set of Java binaries to be available in your PATH,
you need to re-login or source /etc/profile.d/jre.sh
Please note that this package does not support forcing JAVA_HOME as former package java-common did
installing nspr...
installing nss...
installing libjpeg-turbo...
Optional dependencies for libjpeg-turbo
    java-runtime>11: for TurboJPEG Java wrapper [pending]
installing jbigkit...
installing libtiff...
Optional dependencies for libtiff
    freeglut: for using tiffgt
installing lcms2...
installing libnet...
installing libpng...
installing graphite...
Optional dependencies for graphite
    graphite-docs: Documentation
installing harfbuzz...
Optional dependencies for harfbuzz
    harfbuzz-utils: utilities
installing freetype2...
installing java-environment-common...
installing hicolor-icon-theme...
installing giflib...
installing jdk-openjdk...
Optional dependencies for jdk-openjdk
    java-rhino: for some JavaScript support
    alsa-lib: for basic sound support
    gtk2: for the Gtk+ 2 look and feel - desktop usage
    gtk3: for the Gtk+ 3 look and feel - desktop usage
installing libnsl...
installing python...
Optional dependencies for python
    python-setuptools: for building Python packages using tooling that is
    usually bundled with Python
    python-pip: for installing Python packages using tooling that is usually
    bundled with Python
    python-pipx: for installing Python software not packaged on Arch Linux
    sqlite: for a default database integration [installed]
    mpdecimal: for decimal
    xz: for lzma [installed]
    tk: for tkinter
installing fontconfig...
Creating fontconfig configuration...
Rebuilding fontconfig cache...
installing xcb-proto...
installing xorgproto...
installing libxdmcp...
installing libxau...
installing libxcb...
installing libx11...
installing libxext...
installing libxrender...
installing lzo...
installing pixman...
installing cairo...
installing libpciaccess...
installing hwloc...
Optional dependencies for hwloc
    cairo [installed]
    libxml2 [installed]
    pciutils
    libx11 [installed]
installing libnl...
installing openpmix...
Optional dependencies for openpmix
    openpmix-docs: for documentation
installing dnssec-anchors...
installing ldns...
Optional dependencies for ldns
    libpcap: ldns-dpa tool
installing libedit...
installing openssh...
Optional dependencies for openssh
    libfido2: FIDO/U2F support
    sh: for ssh-copy-id and findssl.sh [installed]
    x11-ssh-askpass: input passphrase in X
    xorg-xauth: X11 forwarding
installing openmpi...
Optional dependencies for openmpi
    cuda: cuda support
    gcc-fortran: fortran support
    perl: for aggregate_profile.pl and profile2mat.pl [installed]
installing fftw...
installing liblqr...
installing fribidi...
installing libraqm...
installing imagemagick...
Optional dependencies for imagemagick
    ghostscript: PS/PDF support
    jbigkit: JBIG support [installed]
    libheif: HEIF support
    libjpeg-turbo: JPEG support [installed]
    libjxl: JPEG XL support
    libraw: DNG support
    librsvg: SVG support
    libtiff: TIFF support [installed]
    libwebp: WEBP support
    libwmf: WMF support
    libzip: OpenRaster support
    ocl-icd: OpenCL support
    openexr: OpenEXR support
    openjpeg2: JPEG2000 support
    djvulibre: DJVU support
    pango: Text rendering
installing libuv...
installing libngtcp2...
installing c-ares...
installing nodejs...
Optional dependencies for nodejs
    npm: nodejs package manager
:: Running post-transaction hooks...
(1/4) Updating fontconfig configuration...
(2/4) Warn about old perl modules
(3/4) Updating fontconfig cache...
(4/4) Updating the info directory file...
[?25h==> Checking buildtime dependencies...
==> Installing missing dependencies...
[?25lresolving dependencies...
looking for conflicting packages...

Packages (4) perl-error-0.17029-5  perl-mailtools-2.21-7  perl-timedate-2.33-5
             git-2.43.0-1

Total Download Size:    6.28 MiB
Total Installed Size:  26.66 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 git-2.43.0-1-x86_64 downloading...
 perl-mailtools-2.21-7-any downloading...
 perl-timedate-2.33-5-any downloading...
 perl-error-0.17029-5-any downloading...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
:: Processing package changes...
installing perl-error...
installing perl-timedate...
installing perl-mailtools...
installing git...
Optional dependencies for git
    tk: gitk and git gui
    openssh: ssh transport and crypto [installed]
    perl-libwww: git svn
    perl-term-readkey: git svn and interactive.singlekey setting
    perl-io-socket-ssl: git send-email TLS support
    perl-authen-sasl: git send-email TLS support
    perl-mediawiki-api: git mediawiki support
    perl-datetime-format-iso8601: git mediawiki support
    perl-lwp-protocol-https: git mediawiki https support
    perl-cgi: gitweb (web interface) support
    python: git svn & git p4 [installed]
    subversion: git svn
    org.freedesktop.secrets: keyring credential helper
    libsecret: libsecret credential helper [installed]
:: Running post-transaction hooks...
(1/1) Warn about old perl modules
[?25h==> Retrieving sources...
==> WARNING: Skipping all source file integrity checks.
==> Extracting sources...
  -> Creating working copy of beef-git git repo...
Cloning into 'beef-git'...
done.
==> Starting prepare()...
==> Starting pkgver()...
==> Entering fakeroot environment...
==> Starting package()...
Don't run Bundler as root. Installing your bundle as root will break this
application for all non-root users on this machine.
Bundler 2.5.4 is running, but your lockfile was generated with 2.5.3. Installing Bundler 2.5.3 and restarting using that version.
Fetching gem metadata from https://rubygems.org/.
Fetching bundler 2.5.3
Installing bundler 2.5.3
Don't run Bundler as root. Installing your bundle as root will break this
application for all non-root users on this machine.
Fetching gem metadata from https://rubygems.org/........
Fetching rake 13.1.0
Installing rake 13.1.0
Fetching base64 0.2.0
Installing base64 0.2.0
Fetching bigdecimal 3.1.5
Installing bigdecimal 3.1.5 with native extensions
Fetching concurrent-ruby 1.2.2
Installing concurrent-ruby 1.2.2
Fetching connection_pool 2.4.1
Installing connection_pool 2.4.1
Fetching ruby2_keywords 0.0.5
Installing ruby2_keywords 0.0.5
Fetching drb 2.2.0
Installing drb 2.2.0
Fetching i18n 1.14.1
Installing i18n 1.14.1
Fetching minitest 5.20.0
Installing minitest 5.20.0
Fetching mutex_m 0.2.0
Installing mutex_m 0.2.0
Fetching tzinfo 2.0.6
Installing tzinfo 2.0.6
Fetching activesupport 7.1.2
Installing activesupport 7.1.2
Fetching activemodel 7.1.2
Installing activemodel 7.1.2
Fetching timeout 0.4.1
Installing timeout 0.4.1
Fetching activerecord 7.1.2
Installing activerecord 7.1.2
Fetching public_suffix 5.0.4
Installing public_suffix 5.0.4
Fetching addressable 2.8.6
Installing addressable 2.8.6
Fetching ansi 1.5.0
Installing ansi 1.5.0
Fetching io-like 0.3.1
Installing io-like 0.3.1
Fetching archive-zip 0.12.0
Installing archive-zip 0.12.0
Fetching ast 2.4.2
Installing ast 2.4.2
Fetching fiber-annotation 0.2.0
Installing fiber-annotation 0.2.0
Fetching fiber-local 1.0.0
Installing fiber-local 1.0.0
Fetching console 1.23.3
Installing console 1.23.3
Fetching nio4r 2.7.0
Installing nio4r 2.7.0 with native extensions
Fetching timers 4.3.5
Installing timers 4.3.5
Fetching async 1.31.0
Installing async 1.31.0
Fetching async-io 1.38.1
Installing async-io 1.38.1
Fetching async-dns 1.3.0
Installing async-dns 1.3.0
Fetching browserstack-local 1.4.3
Installing browserstack-local 1.4.3
Fetching byebug 11.1.3
Installing byebug 11.1.3 with native extensions
Fetching matrix 0.4.2
Installing matrix 0.4.2
Fetching mini_mime 1.1.5
Installing mini_mime 1.1.5
Fetching racc 1.7.3
Installing racc 1.7.3 with native extensions
Fetching nokogiri 1.16.0 (x86_64-linux)
Installing nokogiri 1.16.0 (x86_64-linux)
Fetching rack 2.2.8
Installing rack 2.2.8
Fetching rack-test 2.1.0
Installing rack-test 2.1.0
Fetching regexp_parser 2.9.0
Installing regexp_parser 2.9.0
Fetching xpath 3.2.0
Installing xpath 3.2.0
Fetching capybara 3.39.2
Installing capybara 3.39.2
Fetching coderay 1.1.3
Installing coderay 1.1.3
Fetching curb 1.0.5
Installing curb 1.0.5 with native extensions
Fetching daemons 1.4.1
Installing daemons 1.4.1
Fetching diff-lcs 1.5.0
Installing diff-lcs 1.5.0
Fetching domain_name 0.6.20231109
Installing domain_name 0.6.20231109
Fetching eventmachine 1.2.7
Installing eventmachine 1.2.7 with native extensions
Fetching http_parser.rb 0.8.0
Installing http_parser.rb 0.8.0 with native extensions
Fetching em-websocket 0.5.3
Installing em-websocket 0.5.3
Fetching erubis 2.7.0
Installing erubis 2.7.0
Fetching espeak-ruby 1.1.0
Installing espeak-ruby 1.1.0
Fetching event_emitter 0.2.6
Installing event_emitter 0.2.6
Fetching execjs 2.9.1
Installing execjs 2.9.1
Fetching geckodriver-helper 0.24.0
Installing geckodriver-helper 0.24.0
Fetching hashie 5.0.0
Installing hashie 5.0.0
Fetching hashie-forbidden_attributes 0.1.1
Installing hashie-forbidden_attributes 0.1.1
Fetching http-accept 1.7.0
Installing http-accept 1.7.0
Fetching http-cookie 1.0.5
Installing http-cookie 1.0.5
Fetching io-console 0.7.1
Installing io-console 0.7.1 with native extensions
Fetching stringio 3.1.0
Installing stringio 3.1.0 with native extensions
Fetching psych 5.1.2
Installing psych 5.1.2 with native extensions
Fetching rdoc 6.6.2
Installing rdoc 6.6.2
Fetching reline 0.4.2
Installing reline 0.4.2
Fetching irb 1.11.1
Installing irb 1.11.1
Fetching json 2.7.1
Installing json 2.7.1 with native extensions
Fetching language_server-protocol 3.17.0.3
Installing language_server-protocol 3.17.0.3
Fetching maxmind-db 1.2.0
Installing maxmind-db 1.2.0
Fetching method_source 1.0.0
Installing method_source 1.0.0
Fetching mime-types-data 3.2023.1205
Installing mime-types-data 3.2023.1205
Fetching mime-types 3.5.2
Installing mime-types 3.5.2
Fetching mojo_magick 0.6.8
Installing mojo_magick 0.6.8
Fetching msgpack 1.7.2
Installing msgpack 1.7.2 with native extensions
Fetching msfrpc-client 1.1.2
Installing msfrpc-client 1.1.2
Fetching mustermann 3.0.0
Installing mustermann 3.0.0
Fetching net-protocol 0.2.2
Installing net-protocol 0.2.2
Fetching net-smtp 0.4.0.1
Installing net-smtp 0.4.0.1
Fetching netrc 0.11.0
Installing netrc 0.11.0
Fetching otr-activerecord 2.2.0
Installing otr-activerecord 2.2.0
Fetching parallel 1.24.0
Installing parallel 1.24.0
Fetching parseconfig 1.1.2
Installing parseconfig 1.1.2
Fetching parser 3.3.0.5
Installing parser 3.3.0.5
Fetching power_assert 2.0.3
Installing power_assert 2.0.3
Fetching pry 0.14.2
Installing pry 0.14.2
Fetching pry-byebug 3.10.1
Installing pry-byebug 3.10.1
Fetching rqrcode_core 1.2.0
Installing rqrcode_core 1.2.0
Fetching qr4r 0.6.2
Installing qr4r 0.6.2
Fetching rack-protection 3.2.0
Installing rack-protection 3.2.0
Fetching rainbow 3.1.1
Installing rainbow 3.1.1
Fetching rest-client 2.1.0
Installing rest-client 2.1.0
Fetching rexml 3.2.6
Installing rexml 3.2.6
Fetching rr 3.1.0
Installing rr 3.1.0
Fetching rspec-support 3.12.1
Installing rspec-support 3.12.1
Fetching rspec-core 3.12.2
Installing rspec-core 3.12.2
Fetching rspec-expectations 3.12.3
Installing rspec-expectations 3.12.3
Fetching rspec-mocks 3.12.6
Installing rspec-mocks 3.12.6
Fetching rspec 3.12.0
Installing rspec 3.12.0
Fetching rubocop-ast 1.30.0
Installing rubocop-ast 1.30.0
Fetching ruby-progressbar 1.13.0
Installing ruby-progressbar 1.13.0
Fetching unicode-display_width 2.5.0
Installing unicode-display_width 2.5.0
Fetching rubocop 1.60.2
Installing rubocop 1.60.2
Fetching rubyzip 2.3.2
Installing rubyzip 2.3.2
Fetching rushover 0.3.0
Installing rushover 0.3.0
Fetching websocket 1.2.10
Installing websocket 1.2.10
Fetching selenium-webdriver 4.17.0
Installing selenium-webdriver 4.17.0
Fetching tilt 2.3.0
Installing tilt 2.3.0
Fetching sinatra 3.2.0
Installing sinatra 3.2.0
Fetching slack-notifier 2.4.0
Installing slack-notifier 2.4.0
Fetching sqlite3 1.7.1 (x86_64-linux)
Installing sqlite3 1.7.1 (x86_64-linux)
Fetching sync 0.5.0
Installing sync 0.5.0
Fetching tins 1.32.1
Installing tins 1.32.1
Fetching term-ansicolor 1.7.1
Installing term-ansicolor 1.7.1
Fetching test-unit 3.6.1
Installing test-unit 3.6.1
Fetching test-unit-context 0.5.1
Installing test-unit-context 0.5.1
Fetching test-unit-notify 1.0.4
Installing test-unit-notify 1.0.4
Fetching test-unit-rr 1.0.5
Installing test-unit-rr 1.0.5
Fetching test-unit-runner-tap 1.1.2
Installing test-unit-runner-tap 1.1.2
Fetching test-unit-full 0.0.5
Installing test-unit-full 0.0.5
Fetching thin 1.8.2
Installing thin 1.8.2 with native extensions
Fetching uglifier 4.2.0
Installing uglifier 4.2.0
Fetching webrick 1.8.1
Installing webrick 1.8.1
Fetching websocket-client-simple 0.6.1
Installing websocket-client-simple 0.6.1
Fetching xmlrpc 0.3.3
Installing xmlrpc 0.3.3
Bundle complete! 41 Gemfile dependencies, 122 gems now installed.
Bundled gems are installed into `./vendor/bundle`
Post-install message from mojo_magick:

Thanks for installing MojoMagick - keepin it simple!

*** To make this gem work, you need a few binaries!
Make sure you've got ImageMagick available.  http://imagemagick.org
If you plan to build images with text (using the "label" method) you'll need freetype and ghostscript as well.
Check out http://www.freetype.org and http://ghostscript.com respectively for installation info.

Post-install message from rubyzip:
RubyZip 3.0 is coming!
**********************

The public API of some Rubyzip classes has been modernized to use named
parameters for optional arguments. Please check your usage of the
following classes:
  * `Zip::File`
  * `Zip::Entry`
  * `Zip::InputStream`
  * `Zip::OutputStream`

Please ensure that your Gemfiles and .gemspecs are suitably restrictive
to avoid an unexpected breakage when 3.0 is released (e.g. ~> 2.3.0).
See https://github.com/rubyzip/rubyzip for details. The Changelog also
lists other enhancements and bugfixes that have been implemented since
version 2.3.0.
Post-install message from websocket-client-simple:
The development of this gem has moved to https://github.com/ruby-jp/websocket-client-simple.
==> Tidying install...
  -> Removing empty directories...
  -> Removing libtool files...
  -> Purging unwanted files...
  -> Removing static library files...
  -> Stripping unneeded symbols from binaries and libraries...
  -> Compressing man and info pages...
==> Checking for packaging issues...
==> WARNING: Package contains reference to $pkgdir
usr/share/beef/vendor/bundle/ruby/3.0.0/gems/http_parser.rb-0.8.0/ext/ruby_http_parser/Makefile
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/bigdecimal-3.1.5/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/bigdecimal-3.1.5/mkmf.log
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/eventmachine-1.2.7/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/eventmachine-1.2.7/mkmf.log
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/msgpack-1.7.2/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/msgpack-1.7.2/mkmf.log
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/io-console-0.7.1/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/io-console-0.7.1/mkmf.log
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/byebug-11.1.3/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/nio4r-2.7.0/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/nio4r-2.7.0/mkmf.log
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/json-2.7.1/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/http_parser.rb-0.8.0/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/racc-1.7.3/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/stringio-3.1.0/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/curb-1.0.5/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/curb-1.0.5/mkmf.log
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/thin-1.8.2/gem_make.out
usr/share/beef/vendor/bundle/ruby/3.0.0/extensions/x86_64-linux/3.0.0/psych-5.1.2/gem_make.out
==> Creating package "beef-git"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: beef-git 1:20240130.r4314-1 (Mon 05 Feb 2024 03:27:52 PM EST)
==> Cleaning up...
==> Removing installed dependencies...
[?25lchecking dependencies...
:: gettext optionally requires git: for autopoint infrastructure updates
:: glib2 optionally requires python: gdbus-codegen, glib-genmarshal, glib-mkenums, gtester-report
:: libevent optionally requires python: event_rpcgen.py
:: libxml2 optionally requires python: Python bindings
:: util-linux-libs optionally requires python: python bindings to libmount
warning: dependency cycle detected:
warning: harfbuzz will be removed after its freetype2 dependency
warning: dependency cycle detected:
warning: ruby-minitest will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-power_assert will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-rake will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-rexml will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-test-unit will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-abbrev will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-base64 will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-benchmark will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-bigdecimal will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-bundler will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-cgi will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-csv will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-date will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-delegate will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-did_you_mean will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-digest will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-drb will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-ruby2_keywords will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-english will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-erb will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-etc will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-fcntl will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-fiddle will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-fileutils will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-find will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-forwardable will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-getoptlong will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-io-console will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-io-nonblock will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-io-wait will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-ipaddr will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-irb will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-reline will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-json will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-logger will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-mutex_m will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-net-http will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-uri will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-open-uri will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-stringio will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-time will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-psych will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-racc will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-rdoc will be removed after its ruby dependency
warning: dependency cycle detected:
warning: ruby-tmpdir will be removed after its ruby dependency
warning: dependency cycle detected:
warning: rubygems will be removed after its ruby dependency

Packages (102) c-ares-1.26.0-1  cairo-1.18.0-1  dnssec-anchors-20190629-3
               fftw-3.3.10-4  fontconfig-2:2.15.0-2  freetype2-2.13.2-1
               fribidi-1.0.13-2  giflib-5.2.1-2  git-2.43.0-1
               graphite-1:1.3.14-3  harfbuzz-8.3.0-2  hicolor-icon-theme-0.17-3
               hwloc-2.10.0-1  imagemagick-7.1.1.27-1
               java-environment-common-3-5  java-runtime-common-3-5
               jbigkit-2.1-7  jdk-openjdk-21.0.2.u13-3  lcms2-2.16-1
               ldns-1.8.3-2  libedit-20230828_3.1-1  libjpeg-turbo-3.0.2-2
               liblqr-0.4.2-3  libnet-2:1.3-1  libngtcp2-1.2.0-1  libnl-3.9.0-1
               libnsl-2.0.1-1  libpciaccess-0.18-1  libpng-1.6.42-1
               libraqm-0.10.1-1  libtiff-4.6.0-2  libuv-1.47.0-1
               libx11-1.8.7-1  libxau-1.0.11-2  libxcb-1.16-1  libxdmcp-1.1.4-2
               libxext-1.3.6-1  libxrender-0.9.11-1  libyaml-0.2.5-2
               lzo-2.10-5  nodejs-21.6.1-1  nspr-4.35-2  nss-3.97-1
               openmpi-4.1.6-3  openpmix-4.2.8-1  openssh-9.6p1-1
               perl-error-0.17029-5  perl-mailtools-2.21-7
               perl-timedate-2.33-5  pixman-0.43.2-1  python-3.11.6-1
               ruby-3.0.6-1  ruby-abbrev-0.1.0-4  ruby-base64-0.1.1-4
               ruby-benchmark-0.2.0-4  ruby-bigdecimal-3.1.2-4
               ruby-bundledgems-3.0.6-1  ruby-bundler-2.5.4-1  ruby-cgi-0.3.6-1
               ruby-csv-3.2.5-4  ruby-date-3.2.2-4  ruby-delegate-0.2.0-4
               ruby-did_you_mean-1.6.1-4  ruby-digest-3.1.1-1  ruby-drb-2.1.0-5
               ruby-english-0.7.1-5  ruby-erb-4.0.2-2  ruby-etc-1.3.0-6
               ruby-fcntl-1.0.1-4  ruby-fiddle-1.1.0-4  ruby-fileutils-1.6.0-4
               ruby-find-0.1.1-4  ruby-forwardable-1.3.2-6
               ruby-getoptlong-0.1.1-3  ruby-io-console-0.5.11-3
               ruby-io-nonblock-0.1.0-3  ruby-io-wait-0.2.3-4
               ruby-ipaddr-1.2.4-3  ruby-irb-1.4.2-1  ruby-json-2.7.1-1
               ruby-logger-1.5.1-3  ruby-minitest-5.20.0-1
               ruby-mutex_m-0.1.1-3  ruby-net-http-0.2.2-2
               ruby-open-uri-0.2.0-3  ruby-power_assert-2.0.3-1
               ruby-psych-4.0.6-1  ruby-racc-1.6.0-3  ruby-rake-13.0.6-1
               ruby-rdoc-6.4.0-4  ruby-reline-0.3.1-2  ruby-rexml-3.2.6-1
               ruby-ruby2_keywords-0.0.5-1  ruby-stdlib-3.0.6-1
               ruby-stringio-3.0.2-4  ruby-test-unit-3.6.1-1  ruby-time-0.2.0-4
               ruby-tmpdir-0.1.2-3  ruby-uri-0.12.1-1  rubygems-3.3.25-1
               xcb-proto-1.16.0-1  xorgproto-2023.2-1

Total Removed Size:  1155.84 MiB

:: Do you want to remove these packages? [Y/n] 
:: Running pre-transaction hooks...
(1/1) Removing old entries from the info directory file...
:: Processing package changes...
removing ruby...
removing rubygems...
removing ruby-stdlib...
removing ruby-tmpdir...
removing ruby-rdoc...
removing ruby-racc...
removing ruby-psych...
removing ruby-open-uri...
removing ruby-time...
removing ruby-stringio...
removing ruby-net-http...
removing ruby-uri...
removing ruby-mutex_m...
removing ruby-logger...
removing ruby-json...
removing ruby-irb...
removing ruby-reline...
removing ruby-ipaddr...
removing ruby-io-wait...
removing ruby-io-nonblock...
removing ruby-io-console...
removing ruby-getoptlong...
removing ruby-forwardable...
removing ruby-find...
removing ruby-fileutils...
removing ruby-fiddle...
removing ruby-fcntl...
removing ruby-etc...
removing ruby-erb...
removing ruby-english...
removing ruby-drb...
removing ruby-ruby2_keywords...
removing ruby-digest...
removing ruby-did_you_mean...
removing ruby-delegate...
removing ruby-date...
removing ruby-csv...
removing ruby-cgi...
removing ruby-bundler...
removing ruby-bigdecimal...
removing ruby-benchmark...
removing ruby-base64...
removing ruby-abbrev...
removing ruby-bundledgems...
removing ruby-test-unit...
removing ruby-rexml...
removing ruby-rake...
removing ruby-power_assert...
removing ruby-minitest...
removing python...
removing nodejs...
removing libyaml...
removing libuv...
removing libnsl...
removing libngtcp2...
removing jdk-openjdk...
removing nss...
removing nspr...
removing libnet...
removing java-runtime-common...
removing java-environment-common...
removing imagemagick...
removing libraqm...
removing liblqr...
removing lcms2...
removing libtiff...
removing libjpeg-turbo...
removing jbigkit...
removing hicolor-icon-theme...
removing git...
removing perl-mailtools...
removing perl-timedate...
removing perl-error...
removing giflib...
removing fribidi...
removing fftw...
removing openmpi...
removing openssh...
removing libedit...
removing ldns...
removing openpmix...
removing libnl...
removing hwloc...
removing libpciaccess...
removing dnssec-anchors...
removing cairo...
removing pixman...
removing lzo...
removing libxrender...
removing libxext...
removing libx11...
removing libxcb...
removing xcb-proto...
removing libxdmcp...
removing libxau...
removing xorgproto...
removing fontconfig...
removing freetype2...
removing libpng...
removing harfbuzz...
removing graphite...
removing c-ares...
[?25h